[tool.poetry]
name = "pykkn"
version = "1.5.8"
description = "Python port of the matlab library kkn https://git.rwth-aachen.de/nils.preuss/rdm-kraken/"
license = "Apache-2.0"
authors = ["Martin Hock <Martin.Hock@fst.tu-darmstadt.de>"]
readme = "README.md"
homepage = "https://fst-tuda.pages.rwth-aachen.de/public/pykkn/"
repository = "https://git.rwth-aachen.de/fst-tuda/public/pykkn"

[tool.poetry.dependencies]
python = "^3.10"
h5py = "^3.7.0"
numpy = "^1.23.2"
Pillow = "^9.2.0"
opencv-python = "^4.6.0"
pandas = "^1.4.4"

[tool.poetry.dev-dependencies]
pytest = "^7.1.3"
requests = "^2.28.1"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
